package com.izouma.awesomeadmin.service;

import java.util.*;

import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.dto.Result;
import com.izouma.awesomeadmin.model.UserOrder;


/**
 * service接口类
 */
public interface UserOrderService {

    List<UserOrder> getUserOrderList(UserOrder record);

    List<UserOrder> getUserOrderByPage(Page page, UserOrder record);

    UserOrder getUserOrderById(String id);

    UserOrder getUserOrder(UserOrder record);

    Result createUserOrder(UserOrder record);

    boolean deleteUserOrder(UserOrder record);

    boolean updateUserOrder(UserOrder record);

    double calculatedPrice(String orderId, double coin, double point);

    Result payOrder(String orderId, double coin, double point, double cash, int payMode);

    void alipaySuccess(String tradeNo, String tradeStatus);
}

